Quellcode durchsuchen

RPM Packaging: update build scripts

François Andriot vor 5 Jahren
Ursprung
Commit
41284c83ff

+ 3
- 3
redhat/Makefile.r14 Datei anzeigen

@@ -1,12 +1,12 @@
1 1
 SHELL := /bin/bash
2
-PATH := $(PATH)/build:$(shell pwd)
2
+PATH := $(PATH):$(shell pwd)/build
3 3
 TDE_VERSION = 14.0.0
4 4
 
5 5
 buildpkg = \
6 6
   @echo "Now processing '$(1)' ."; \
7
-  if ! is_latest_package_installed.sh "$(1)" ${TDE_VERSION}; then \
7
+  if [ "${REBUILD}" = "$(1)" ] || ! is_latest_package_installed.sh "$(1)" ${TDE_VERSION}; then \
8 8
     echo "  Package '${1}' is not yet installed."; \
9
-    if ! is_latest_package_built.sh "$(1)" ${TDE_VERSION}; then \
9
+    if [ "${REBUILD}" = "$(1)" ] || ! is_latest_package_built.sh "$(1)" ${TDE_VERSION}; then \
10 10
       echo "  Building package."; \
11 11
       build_rpm_package.sh "$(1)" ${TDE_VERSION} || exit 1; \
12 12
       echo "  Updating repository."; \

+ 4
- 4
redhat/Makefile.v3.5.13-sru Datei anzeigen

@@ -1,12 +1,12 @@
1 1
 SHELL := /bin/bash
2
-PATH := $(PATH)/build:$(shell pwd)
2
+PATH := $(PATH):$(shell pwd)/build
3 3
 TDE_VERSION = 3.5.13.2
4 4
 
5 5
 buildpkg = \
6 6
   @echo "Now processing '$(1)' ."; \
7
-  if ! is_latest_package_installed.sh "$(1)" ${TDE_VERSION}; then \
7
+  if [ "${REBUILD}" = "$(1)" ] || ! is_latest_package_installed.sh "$(1)" ${TDE_VERSION}; then \
8 8
     echo "  Package '${1}' is not yet installed."; \
9
-    if ! is_latest_package_built.sh "$(1)" ${TDE_VERSION}; then \
9
+    if [ "${REBUILD}" = "$(1)" ] || ! is_latest_package_built.sh "$(1)" ${TDE_VERSION}; then \
10 10
       echo "  Building package."; \
11 11
       build_rpm_package.sh "$(1)" ${TDE_VERSION} || exit 1; \
12 12
       echo "  Updating repository."; \
@@ -51,7 +51,7 @@ tqca:	tqtinterface
51 51
 tqca-tls: tqtinterface tqca
52 52
 	$(call buildpkg,dependencies/tqca-tls)
53 53
 
54
-qt3:
54
+qt3: esound
55 55
 	$(call buildpkg,dependencies/qt3)
56 56
 
57 57
 tqtinterface:	qt3

+ 2
- 0
redhat/build/build_rpm_package.sh Datei anzeigen

@@ -29,6 +29,7 @@ fi
29 29
 [ -d "${BUILDDIR}" ] || mkdir -p "${BUILDDIR}"
30 30
 
31 31
 RPMDIR="$(rpm -E %{_rpmdir}.tde-${TDE_VERSION})"
32
+SRPMDIR="$(rpm -E %{_srcrpmdir}.tde-${TDE_VERSION})"
32 33
 
33 34
 rpmbuild -ba \
34 35
   --define "_specdir ${TEMPDIR}" \
@@ -36,6 +37,7 @@ rpmbuild -ba \
36 37
   --define "_builddir ${BUILDDIR}" \
37 38
   --define "_buildrootdir ${BUILDROOTDIR}" \
38 39
   --define "_rpmdir ${RPMDIR}" \
40
+  --define "_srcrpmdir ${SRPMDIR}" \
39 41
   --define "tde_version ${TDE_VERSION}" \
40 42
   --define "tde_prefix /opt/trinity" \
41 43
   --define "preversion ${PREVERSION}" \

+ 10
- 2
redhat/build/configure_repository.sh Datei anzeigen

@@ -1,9 +1,10 @@
1
-#!/bin/bash
1
+#!/bin/bash -x
2 2
 
3 3
 TDE_VERSION=${1:-14.0.0}
4
-ARCH=$(uname -i)
4
+ARCH=$(rpm -E %_target_cpu)
5 5
 RPMDIR=$(rpm -E %{_rpmdir}.tde-${TDE_VERSION})
6 6
 
7
+# RHEL / CentOS / Fedora
7 8
 if [ -x /usr/bin/yum ]; then
8 9
   cat <<EOF >/tmp/rpmbuild-tde.repo
9 10
 [rpmbuild.${ARCH}]
@@ -20,3 +21,10 @@ gpgcheck=0
20 21
 EOF
21 22
   sudo mv -f /tmp/rpmbuild-tde.repo /etc/yum.repos.d/
22 23
 fi
24
+
25
+# Mageia / Mandriva
26
+if [ -x /usr/sbin/urpmi ]; then
27
+  sudo urpmi.removemedia -y "rpmbuild"
28
+  sudo urpmi.addmedia rpmbuild.${ARCH} ${RPMDIR}/${ARCH}
29
+  sudo urpmi.addmedia rpmbuild.noarch ${RPMDIR}/noarch
30
+fi

+ 1
- 1
redhat/build/get_installed_package_version.sh Datei anzeigen

@@ -7,7 +7,7 @@ PKGNAME="${1##*/}"
7 7
 
8 8
 # Language package: install only French language package
9 9
 case ${PKGNAME} in
10
-  "k3b-i18n"|"koffice-i18n"|"tde-i18n") PKGNAME="${PKGNAME}-French";;
10
+  "k3b-i18n"|"koffice-i18n"|"tde-i18n") PKGNAME="trinity-${PKGNAME}-French";;
11 11
   "koffice") PKGNAME="${PKGNAME}-suite";;
12 12
   "trinity-"*) PKGNAME="${PKGNAME#trinity-}";;
13 13
   "qt3") [ -r /etc/mandriva-release ] && PKGNAME="qt3-common";;

+ 1
- 1
redhat/build/get_latest_tarball_version.sh Datei anzeigen

@@ -7,7 +7,7 @@ TDE_VERSION="${2:-14.0.0}"
7 7
 
8 8
 TARBALL=$(get_latest_tarball_filename.sh "${PKGNAME}" ${TDE_VERSION})
9 9
 
10
-[ ! -r "${TARBALL}" ] && echo "No tarball found for '${PKGNAME}' !" && exit 2
10
+[ ! -r "${TARBALL}" ] && exit 2
11 11
 
12 12
 VERSION=${TARBALL##*/}
13 13
 VERSION=${VERSION#trinity-}

+ 1
- 1
redhat/build/get_rpm_package_name.sh Datei anzeigen

@@ -31,7 +31,7 @@ echo "${PREFIX}${PKGNAME}"
31 31
 
32 32
 if [ -n "${DEVEL}" ]; then
33 33
   # Check if development package is required.
34
-  # Applications do NOT have development packages
34
+  # Applications do NOT have development packages, except K3B
35 35
   case "${PKGCATEGORY}" in
36 36
     "applications") if [ "${PKGNAME}" != "k3b" ]; then exit 0; fi;;
37 37
   esac

+ 14
- 0
redhat/build/install_requires.sh Datei anzeigen

@@ -0,0 +1,14 @@
1
+#!/bin/bash
2
+
3
+PKGFILE="packages$(rpm -E %dist)"
4
+
5
+# Under Mageia/Mandriva, do not forget to enable "Tainted" and "Nonfree" repositories !
6
+if [ -x /usr/sbin/urpmi ]; then
7
+  if [ "$(uname -i)" = "x86_64" ]; then
8
+    PKGS="$(<${PKGFILE})"
9
+  else
10
+    PKGS="$(sed -e "s|lib64|lib|" ${PKGFILE} | sort -u)"
11
+  fi
12
+
13
+  sudo urpmi ${PKGS} 2>&1
14
+fi

+ 1
- 0
redhat/build/is_latest_package_built.sh Datei anzeigen

@@ -5,6 +5,7 @@ TDE_VERSION="${2:-14.0.0}"
5 5
 
6 6
 BUILT=$(get_latest_built_package_version.sh ${PKGNAME} ${TDE_VERSION})
7 7
 TARBALL=$(get_latest_tarball_version.sh ${PKGNAME} ${TDE_VERSION})
8
+RPM_PKGNAME="$(get_rpm_package_name.sh ${PKGNAME})"
8 9
 
9 10
 # If package version contains a "~": it's a pre-release
10 11
 if [ "${BUILT/\~/}" != "${BUILT}" ]; then

+ 11
- 5
redhat/build/update_repository.sh Datei anzeigen

@@ -9,14 +9,20 @@ while [ -e "${LOCKFILE}" ]; do
9 9
   sleep 3
10 10
 done
11 11
 
12
+ARCH="$(rpm -E %{_target_cpu})"
13
+RPMDIR=$(rpm -E %{_rpmdir}.tde-${TDE_VERSION})
14
+
15
+[ -d "${RPMDIR}/noarch" ] || mkdir -p "${RPMDIR}/noarch"
16
+[ -d "${RPMDIR}/${ARCH}" ] || mkdir -p "${RPMDIR}/${ARCH}"
17
+
12 18
 if [ -x /usr/sbin/urpmi ]; then
13
-  REPOUPDATE='(cd $(rpm -E %{_rpmdir}.tde-${TDE_VERSION}); genhdlist2 --clean --allow-empty noarch; genhdlist2 --clean --allow-empty $(uname -i); sudo urpmi.update rpmbuild.$(uname -i) rpmbuild.noarch)'
19
+  REPOUPDATE='(cd ${RPMDIR}; genhdlist2 --clean --allow-empty noarch & genhdlist2 --clean --allow-empty ${ARCH} & wait; sudo urpmi.update rpmbuild.${ARCH} rpmbuild.noarch)'
14 20
 elif [ -x /usr/bin/zypper ]; then
15
-  REPOUPDATE='(cd $(rpm -E %{_rpmdir}.tde-${TDE_VERSION}); createrepo --workers=${WORKERS} $(uname -i); createrepo --workers=${WORKERS} noarch; sudo zypper refresh rpmbuild.$(uname -i) rpmbuild.noarch)'
21
+  REPOUPDATE='(cd ${RPMDIR}; createrepo --workers=${WORKERS} ${ARCH} & createrepo --workers=${WORKERS} noarch & wait; sudo zypper refresh rpmbuild.${ARCH} rpmbuild.noarch)'
16 22
 elif [ -x /usr/bin/yum ]; then
17
-  REPOUPDATE='(cd $(rpm -E %{_rpmdir}.tde-${TDE_VERSION}); createrepo $(uname -i); createrepo noarch; sudo yum clean all --disablerepo="*" --enablerepo="rpmbuild*")'
23
+  REPOUPDATE='(cd ${RPMDIR}; createrepo ${ARCH} & createrepo noarch & wait; sudo yum clean all --disablerepo="*" --enablerepo="rpmbuild*")'
18 24
 elif [ -x /usr/bin/apt-get ]; then
19
-  REPOUPDATE='(cd $(rpm -E %{_rpmdir}.tde-${TDE_VERSION}); genpkglist $PWD noarch; genpkglist $PWD i586; genpkglist $PWD x86_64; genbasedir $PWD i586 x86_64 noarch; sudo apt-get update)'
25
+  REPOUPDATE='(cd ${RPMDIR}; genpkglist $PWD noarch & genpkglist $PWD ${ARCH} & wait; genbasedir $PWD ${ARCH} noarch; sudo apt-get update)'
20 26
 fi
21 27
 
22
-eval "${REPOUPDATE}; rm -f ${LOCKFILE}"|| exit 1
28
+eval "${REPOUPDATE}; rm -f ${LOCKFILE}" || exit 1

+ 191
- 292
redhat/packages.mga Datei anzeigen

@@ -1,326 +1,225 @@
1
-rpm-build
1
+GraphicsMagick-devel
2
+ImageMagick-devel
3
+NetworkManager-glib-devel
4
+OpenEXR-devel
5
+SDL-devel
6
+X11-devel
7
+alsa-lib-devel
8
+aspell
9
+aspell-devel
10
+audiofile-devel
11
+bind-devel
12
+bison
13
+boost-devel
14
+bzip2-devel
2 15
 ccache
16
+ccrtp-devel
17
+cdparanoia
18
+chrpath
3 19
 cmake
4
-mysql-devel
5
-unixODBC-devel
6
-libpq-devel
7
-freetype2-devel
8
-mesaglu-devel
9
-libsm-devel
10
-libice-devel
11
-libx11-devel
12
-libxcursor-devel
13
-libxext-devel
14
-libxft-devel
15
-libxinerama-devel
16
-libxmu-devel
17
-libxrandr-devel
18
-libxrender-devel
19
-fontconfig-devel
20
-bzip2-devel
21
-libjpeg-devel
22
-libmng-devel
23
-pkgconfig(libpng15)
24
-zlib-devel
25
-nas-devel
26
-libiodbc-devel
27
-glib2-devel
28
-python-devel
29
-perl(XML::Parser)
30
-gtk-doc
31
-libblkid-devel
32
-pciutils-devel
33
-xmlto
34
-gperf
35
-libv4l-devel
36
-expat-devel
20
+cmake 
21
+cups-devel
22
+curl-devel
23
+db5-devel
37 24
 dbus-devel
38 25
 dbus-glib
39 26
 dbus-glib-devel
40
-libusb-devel
41
-libudev-devel
42
-cups-devel
43
-cmake
44
-libgsf-devel
45
-pth-devel
46
-libxi-devel
47
-audiofile-devel
48
-gsl-devel
49
-alsa-lib-devel
50
-libvorbis-devel
27
+djvulibre
28
+docbook-dtd412-xml
29
+docbook-style-xsl
30
+docbook-utils
31
+doxygen
32
+drakconf
33
+dssi-devel
51 34
 esound-devel
52
-libjack-devel
53
-libmad-devel
54
-pkgconfig(audiofile)
35
+expat-devel
36
+fftw-devel
37
+flex
38
+fontconfig-devel
39
+freetype-devel
40
+freetype2-devel
41
+fribidi-devel
42
+gamin-devel
55 43
 gettext-devel
56
-libcurl-devel
44
+glib2-devel
45
+gnokii-devel
46
+gperf
47
+gpgme-devel
48
+gphoto2-devel
49
+gsl-devel
50
+gtk-doc
57 51
 gtk2-devel
58
-libxslt-devel
59
-libart_lgpl-devel
60
-aspell
61
-aspell-devel
62
-gamin-devel
63
-libutempter-devel
64
-hspell-devel
65
-libjasper-devel
66
-OpenEXR-devel
67
-libraw1394-devel
68
-lm_sensors-devel
69 52
 hal-devel
70
-libxscrnsaver1-devel
71
-lib64xscrnsaver1-devel
72
-libsmbclient-devel
53
+hspell-devel
73 54
 imake
74
-libxkbfile-devel
75
-libfontenc-devel
76
-libxtst6-devel
77
-lib64xtst6-devel
78
-x11-font-util
79
-xulrunner-devel
80
-ruby-devel
81
-java-openjdk
82
-java-devel
55
+imlib1-devel
56
+java-1.6.0-openjdk-devel
83 57
 java-1.7.0-openjdk-devel
84
-perl-devel
85
-libtheora-devel
86
-taglib-devel
87
-cdparanoia
88
-libcdda-devel
89
-libflac-devel
58
+java-devel
59
+java-openjdk
60
+karma-sharp
61
+lib64OpenSP5-devel
62
+lib64binutils-devel
63
+lib64clucene-devel
64
+lib64commoncpp-devel
65
+lib64curl-devel
66
+lib64dvdread-devel
67
+lib64exiv2-devel
68
+lib64expat1-devel
69
+lib64ffmpeg-devel
70
+lib64flac++-devel
90 71
 lib64flac-devel
91
-libgstreamer0.10-devel
92 72
 lib64gstreamer0.10-devel
93
-libxxf86dga-devel
94
-lib64xxf86dga-devel
95
-libxine1.2-devel
96
-lib64xine1.2-devel
97
-gnokii-devel
98
-gpgme-devel
99
-flex
100
-libical-devel
101
-boost-devel
102
-rpm-devel
103
-lilo
104
-xscreensaver
105
-xscreensaver-base
106
-xscreensaver-extrusion
107
-xscreensaver-gl
108
-net-snmp-devel
109
-libungif-devel
110
-gphoto2-devel
111
-libpaper-devel
112
-libt1lib-devel
113
-libsane1-devel
114
-freetype-devel
115
-libpoppler-devel
116
-fribidi-devel
117
-lib64sane1-devel
73
+lib64inotifytools-devel
74
+lib64iw29-devel
75
+lib64jasper-devel
76
+lib64lame-devel
77
+lib64mad-devel
78
+lib64paper-devel
118 79
 lib64poppler-devel
119
-ocaml
120
-subversion-devel
121
-neon-devel
122
-lib64binutils-devel
123
-SDL-devel
124
-db5-devel
125
-sqlite-devel
126
-sqlite3-devel
127
-libgadu-devel
128
-libiw-devel
129
-openslp-devel
130
-valgrind
80
+lib64pulseaudio-devel
81
+lib64sane1-devel
82
+lib64t1lib-devel
83
+lib64twolame-devel
84
+lib64v4l-devel
85
+lib64xaw-devel
86
+lib64xi-devel
87
+lib64xine1.2-devel
88
+lib64xscrnsaver1-devel
89
+lib64xtst6-devel
90
+lib64xxf86dga-devel
91
+lib64yaz-devel
92
+libOpenSP5-devel
93
+libart_lgpl-devel
94
+libblkid-devel
95
+libcdda-devel
96
+libclucene-devel
97
+libcommoncpp-devel
98
+libcurl-devel
99
+libdvdread-devel
131 100
 libexiv2-devel
132
-transfig
133
-djvulibre
134
-librsvg
135
-libwmf-devel
136
-netpbm
137
-python-sip
138
-python-qt
139
-bison
140
-libtiff-devel
101
+libffmpeg-devel
102
+libflac++-devel
103
+libflac-devel
104
+libfontenc-devel
105
+libgadu-devel
106
+libgpod-devel
107
+libgsf-devel
108
+libgstreamer-plugins-base-devel
109
+libgstreamer0.10-devel
110
+libhd-devel
111
+libical-devel
112
+libice-devel
141 113
 libifp-devel
114
+libinotifytools-devel
115
+libiodbc-devel
116
+libiw-devel
117
+libjack-devel
118
+libjasper-devel
119
+libjpeg-devel
142 120
 libkarma-devel
143
-karma-sharp
144
-libgpod-devel
121
+liblame-devel
122
+liblo-devel
123
+liblrdf-devel
124
+libmad-devel
125
+libmng-devel
126
+libmp4v2-devel
127
+libmpcdec-devel
145 128
 libmtp-devel
146 129
 libmusicbrainz-devel
147 130
 libnjb-devel
148
-libvisual-devel
149
-libinotifytools-devel
150
-libmp4v2-devel
151
-libclucene-devel
152
-sword-devel
153
-libmpcdec-devel
154
-libsndfile-devel
155
-libdvdread-devel
156
-libflac++-devel
157
-liblame-devel
158
-libffmpeg-devel
159
-libgstreamer-plugins-base-devel
160
-ImageMagick-devel
161
-doxygen
162
-GraphicsMagick-devel
163
-libwpd-devel
164
-wv2-devel
165
-recode
166 131
 libofx-devel
167
-libOpenSP5-devel
168
-docbook-style-xsl
169 132
 libotr-devel
170
-yaz
171
-lib64yaz-devel
172
-subversion-devel
173
-dssi-devel
174
-liblo-devel
175
-liblrdf-devel
176
-lirc-devel
177
-scons
178
-subversion-devel
179
-pilot-link-devel
180
-libhd-devel
181
-lib64commoncpp-devel
182
-ccrtp-devel
183
-libzrtpcpp-devel
184
-bind-devel
185
-libcommoncpp-devel
186
-unixODBC-devel
133
+libotr3-devel
134
+libpaper-devel
135
+libpoppler-devel
187 136
 libpq-devel
188
-mesaglu-devel
189
-libxmu-devel
190
-bzip2-devel
191
-pkgconfig(libpng15)
192
-nas-devel
193
-libiodbc-devel
194
-postgresql9.2-devel
195
-cups-devel
196
-cmake 
197
-pth-devel
198
-lib64xi-devel
199
-gsl-devel
200
-lib64mad-devel
201
-esound-devel
202
-libmad-devel
203
-docbook-dtd412-xml
204
-docbook-utils
205
-gettext-devel
206
-lib64expat1-devel
207
-libxslt-devel
208
-aspell
209
-aspell-devel
210
-libutempter-devel
211
-hspell-devel
212
-lib64jasper-devel
213
-OpenEXR-devel
214 137
 libraw1394-devel
215
-pam-devel
216
-libusb-devel
217
-openldap-devel
218
-lm_sensors-devel
219
-libudev-devel
220
-hal-devel
221
-lib64xscrnsaver1-devel
138
+librsvg
139
+libsane1-devel
140
+libsm-devel
222 141
 libsmbclient-devel
223
-imake
142
+libsndfile-devel
143
+libt1lib-devel
144
+libtheora-devel
145
+libtiff-devel
146
+libtunepimp-devel
147
+libudev-devel
148
+libungif-devel
149
+libusb-devel
150
+libutempter-devel
151
+libv4l-devel
152
+libvisual-devel
153
+libvorbis-devel
154
+libwmf-devel
155
+libwpd-devel
156
+libx11-devel
157
+libxcursor-devel
158
+libxext-devel
159
+libxft-devel
160
+libxi-devel
161
+libxine1.2-devel
162
+libxinerama-devel
224 163
 libxkbfile-devel
225
-libfontenc-devel
164
+libxmu-devel
165
+libxrandr-devel
166
+libxrender-devel
167
+libxscrnsaver1-devel
168
+libxslt-devel
226 169
 libxtst-devel
227
-x11-font-util
228
-gnokii-devel
229
-gpgme-devel
230
-libical-devel
231
-boost-devel
232
-curl-devel
233
-gtk2-devel
234
-lib64curl-devel
235
-lib64flac-devel
236
-lib64pulseaudio-devel
170
+libxtst6-devel
171
+libxv-devel
172
+libxxf86dga-devel
173
+libyaz-devel
174
+libzrtpcpp-devel
175
+lilo
176
+lirc-devel
177
+lm_sensors-devel
178
+mesaglu-devel
179
+mysql-devel
180
+nas-devel
181
+neon-devel
182
+net-snmp-devel
183
+netpbm
184
+ocaml
185
+openldap-devel
186
+openslp-devel
187
+opensp-devel
188
+pam-devel
189
+pciutils-devel
190
+perl(XML::Parser)
191
+perl-devel
192
+pilot-link-devel
193
+pkgconfig(audiofile)
194
+pkgconfig(libpng15)
195
+pkgconfig(libpng16)
196
+postgresql9.2-devel
197
+pth-devel
198
+python-devel
199
+python-qt
200
+python-sip
201
+readline-devel
202
+recode
203
+rpm-build
204
+rpm-devel
205
+ruby-devel
206
+scons
237 207
 speex-devel
238
-libtheora-devel
208
+sqlite-devel
209
+sqlite3-devel
210
+subversion-devel
211
+sword-devel
239 212
 taglib-devel
240
-cdparanoia
241
-libcdda-devel
242
-lib64gstreamer0.10-devel
243
-lib64xxf86dga-devel
244
-lib64lame-devel
245
-rpm-devel
246
-SDL-devel
213
+transfig
214
+unixODBC-devel
215
+valgrind
216
+wv2-devel
217
+x11-font-util
218
+xmlto
219
+xscreensaver
247 220
 xscreensaver-base
248 221
 xscreensaver-extrusion
249 222
 xscreensaver-gl
250 223
 xulrunner-devel
251
-ruby-devel
252
-java-openjdk
253
-java-devel
254
-java-1.6.0-openjdk-devel
255
-perl-devel
256
-ocaml
257
-libgadu-devel
258
-lib64iw29-devel
259
-openslp-devel
260
-lib64v4l-devel
261
-subversion-devel
262
-neon-devel
263
-lib64binutils-devel
264
-net-snmp-devel
265
-libungif-devel
266
-gphoto2-devel
267
-lib64paper-devel
268
-lib64t1lib-devel
269
-lib64sane1-devel
270
-freetype-devel
271
-lib64poppler-devel
272
-fribidi-devel
273
-lib64exiv2-devel
274
-transfig
275
-djvulibre
276
-librsvg
277
-libwmf-devel
278
-X11-devel
279
-lib64commoncpp-devel
280
-readline-devel
281
-bind-devel
282
-bison
283
-doxygen
284
-libcommoncpp-devel
285
-ImageMagick-devel
286
-GraphicsMagick-devel
287
-libwpd-devel
288
-wv2-devel
289
-libmpcdec-devel
290
-libmusicbrainz-devel
291
-lib64dvdread-devel
292
-lib64flac++-devel
293
-lib64ffmpeg-devel
294
-chrpath
295 224
 yaz
296
-libyaz-devel
297
-pilot-link-devel
298
-fftw-devel
299
-dssi-devel
300
-liblo-devel
301
-liblrdf-devel
302
-lirc-devel
303
-libotr3-devel
304
-scons
305
-libifp-devel
306
-libkarma-devel
307
-karma-sharp
308
-libgpod-devel
309
-libmtp-devel
310
-libnjb-devel
311
-libvisual-devel
312
-libtunepimp-devel
313
-lib64inotifytools-devel
314
-libmp4v2-devel
315
-lib64twolame-devel
316
-docbook-style-xsl
317
-recode
318
-libofx-devel
319
-lib64OpenSP5-devel
320
-lib64clucene-devel
321
-sword-devel
322
-drakconf
323
-imlib1-devel
324
-NetworkManager-glib-devel
325
-lib64xaw-devel
326
-libxv-devel
225
+zlib-devel

+ 199
- 0
redhat/packages.mga4 Datei anzeigen

@@ -0,0 +1,199 @@
1
+GraphicsMagick-devel
2
+ImageMagick-devel
3
+NetworkManager-glib-devel
4
+OpenEXR-devel
5
+SDL-devel
6
+alsa-lib-devel
7
+aspell
8
+aspell-devel
9
+audiofile-devel
10
+bind-devel
11
+bison
12
+boost-devel
13
+bzip2-devel
14
+ccache
15
+cdparanoia
16
+chrpath
17
+cmake
18
+cups-devel
19
+curl-devel
20
+db5-devel
21
+dbus-devel
22
+dbus-glib
23
+dbus-glib-devel
24
+djvulibre
25
+docbook-dtd412-xml
26
+docbook-style-xsl
27
+docbook-utils
28
+doxygen
29
+drakconf
30
+dssi-devel
31
+expat-devel
32
+fftw-devel
33
+flex
34
+fontconfig-devel
35
+freetype-devel
36
+freetype2-devel
37
+fribidi-devel
38
+gamin-devel
39
+gettext-devel
40
+glib2-devel
41
+gnokii-devel
42
+gperf
43
+gpgme-devel
44
+gphoto2-devel
45
+gsl-devel
46
+gtk-doc
47
+gtk2-devel
48
+hspell-devel
49
+imake
50
+java-1.7.0-openjdk
51
+java-1.7.0-openjdk-devel
52
+karma-sharp
53
+lcms-devel
54
+lib64binutils-devel
55
+lib64clucene-devel
56
+lib64commoncpp-devel
57
+lib64curl-devel
58
+lib64dvdread-devel
59
+lib64ecpg9.3_6
60
+lib64exiv2-devel
61
+lib64ffmpeg-devel
62
+lib64flac++-devel
63
+lib64flac-devel
64
+lib64fontenc-devel
65
+lib64gstreamer0.10-devel
66
+lib64inotifytools-devel
67
+lib64jasper-devel
68
+lib64jpeg-devel
69
+lib64lame-devel
70
+lib64mad-devel
71
+lib64paper-devel
72
+lib64poppler-devel
73
+lib64pulseaudio-devel
74
+lib64sane1-devel
75
+lib64t1lib-devel
76
+lib64tiff-devel
77
+lib64twolame-devel
78
+lib64udev-devel
79
+lib64usb-devel
80
+lib64v4l-devel
81
+lib64xaw-devel
82
+lib64xi-devel
83
+lib64xine1.2-devel
84
+lib64xscrnsaver-devel
85
+lib64xtst-devel
86
+lib64xxf86dga-devel
87
+lib64yaz-devel
88
+libart_lgpl-devel
89
+libblkid-devel
90
+libcdda-devel
91
+libclucene-devel
92
+libcommoncpp-devel
93
+libcurl-devel
94
+libdvdread-devel
95
+libffmpeg-devel
96
+libflac++-devel
97
+libflac-devel
98
+libgadu-devel
99
+libgpod-devel
100
+libgsf-devel
101
+libgstreamer-plugins-base-devel
102
+libhd-devel
103
+libical-devel
104
+libice-devel
105
+libifp-devel
106
+libinotifytools-devel
107
+libiodbc-devel
108
+libiw-devel
109
+libjack-devel
110
+libjasper-devel
111
+libkarma-devel
112
+liblame-devel
113
+liblo-devel
114
+liblrdf-devel
115
+libmad-devel
116
+libmng-devel
117
+libmp4v2-devel
118
+libmpcdec-devel
119
+libmtp-devel
120
+libmusicbrainz-devel
121
+libnjb-devel
122
+libofx-devel
123
+libpaper-devel
124
+libraw1394-devel
125
+librsvg
126
+libsm-devel
127
+libsmbclient-devel
128
+libsndfile-devel
129
+libt1lib-devel
130
+libtheora-devel
131
+libungif-devel
132
+libutempter-devel
133
+libvisual-devel
134
+libvorbis-devel
135
+libwmf-devel
136
+libwpd-devel
137
+libx11-devel
138
+libxcursor-devel
139
+libxext-devel
140
+libxft-devel
141
+libxi-devel
142
+libxinerama-devel
143
+libxkbfile-devel
144
+libxmu-devel
145
+libxrandr-devel
146
+libxrender-devel
147
+libxslt-devel
148
+libxv-devel
149
+libxxf86dga-devel
150
+libyaz-devel
151
+lilo
152
+lirc-devel
153
+lm_sensors-devel
154
+mesaglu-devel
155
+mysql-devel
156
+nas-devel
157
+neon-devel
158
+net-snmp-devel
159
+netpbm
160
+ocaml
161
+openldap-devel
162
+openslp-devel
163
+opensp-devel
164
+pam-devel
165
+pciutils-devel
166
+perl(XML::Parser)
167
+perl-devel
168
+pilot-link-devel
169
+pkgconfig(audiofile)
170
+pkgconfig(libpng16)
171
+postgresql9.3
172
+postgresql9.3-devel
173
+pth-devel
174
+python-devel
175
+python-sip
176
+readline-devel
177
+recode
178
+rpm-build
179
+rpm-devel
180
+ruby-devel
181
+scons
182
+speex-devel
183
+sqlite-devel
184
+sqlite3-devel
185
+subversion-devel
186
+sword-devel
187
+taglib-devel
188
+transfig
189
+unixODBC-devel
190
+valgrind
191
+wv2-devel
192
+x11-font-util
193
+xmlto
194
+xscreensaver
195
+xscreensaver-base
196
+xscreensaver-extrusion
197
+xscreensaver-gl
198
+yaz
199
+zlib-devel

+ 1
- 0
redhat/packages.oss Datei anzeigen

@@ -167,3 +167,4 @@ recode
167 167
 NetworkManager-devel
168 168
 update-desktop-files
169 169
 pcsc-lite-devel
170
+libconfig-devel

Laden…
Abbrechen
Speichern